Bug 1573924 - [abrt] gpaste: gtk_selection_data_set_pixbuf(): gpaste-daemon killed by SIGSEGV
Summary: [abrt] gpaste: gtk_selection_data_set_pixbuf(): gpaste-daemon killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gpaste
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:47607370a89bd0b3c71f13c3786...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 14:15 UTC by Fernando
Modified: 2019-05-28 20:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:01:39 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (39.20 KB, text/plain)
2018-05-02 14:15 UTC, Fernando
no flags Details
File: cgroup (389 bytes, text/plain)
2018-05-02 14:15 UTC, Fernando
no flags Details
File: core_backtrace (16.00 KB, text/plain)
2018-05-02 14:15 UTC, Fernando
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-05-02 14:15 UTC, Fernando
no flags Details
File: dso_list (9.70 KB, text/plain)
2018-05-02 14:15 UTC, Fernando
no flags Details
File: environ (1.60 KB, text/plain)
2018-05-02 14:15 UTC, Fernando
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-02 14:15 UTC, Fernando
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-02 14:15 UTC, Fernando
no flags Details
File: maps (45.49 KB, text/plain)
2018-05-02 14:15 UTC, Fernando
no flags Details
File: mountinfo (3.94 KB, text/plain)
2018-05-02 14:15 UTC, Fernando
no flags Details
File: open_fds (897 bytes, text/plain)
2018-05-02 14:15 UTC, Fernando
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-02 14:15 UTC, Fernando
no flags Details

Description Fernando 2018-05-02 14:15:21 UTC
Version-Release number of selected component:
gpaste-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/gpaste/gpaste-daemon
crash_function: gtk_selection_data_set_pixbuf
executable:     /usr/libexec/gpaste/gpaste-daemon
journald_cursor: s=3446f9e16a2d4b158660c55b83861daf;i=91a35;b=a9d14f2a71de40689db4b209e1f3182e;m=3c0547451;t=56b3993811fa9;x=6ae07bfc7d6d183a
kernel:         4.16.5-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_selection_data_set_pixbuf at gtkselection.c:1714
 #1 g_paste_clipboard_get_clipboard_data at ./src/libgpaste/core/gpaste-image-item.h:20
 #5 g_signal_emit_by_name at gsignal.c:3487
 #6 gtk_selection_invoke_handler at gtkselection.c:3083
 #7 gtk_selection_convert at gtkselection.c:1155
 #8 g_paste_clipboards_manager_targets_ready at src/libgpaste/core/gpaste-clipboards-manager.c:299
 #9 selection_received at gtkclipboard.c:960
 #13 g_signal_emit_by_name at gsignal.c:3487
 #14 gtk_selection_retrieval_report at gtkselection.c:3047
 #15 gtk_selection_convert at gtkselection.c:1159

Potential duplicate: bug 1571734

Comment 1 Fernando 2018-05-02 14:15:26 UTC
Created attachment 1430074 [details]
File: backtrace

Comment 2 Fernando 2018-05-02 14:15:27 UTC
Created attachment 1430075 [details]
File: cgroup

Comment 3 Fernando 2018-05-02 14:15:29 UTC
Created attachment 1430076 [details]
File: core_backtrace

Comment 4 Fernando 2018-05-02 14:15:30 UTC
Created attachment 1430077 [details]
File: cpuinfo

Comment 5 Fernando 2018-05-02 14:15:32 UTC
Created attachment 1430078 [details]
File: dso_list

Comment 6 Fernando 2018-05-02 14:15:33 UTC
Created attachment 1430079 [details]
File: environ

Comment 7 Fernando 2018-05-02 14:15:35 UTC
Created attachment 1430080 [details]
File: exploitable

Comment 8 Fernando 2018-05-02 14:15:36 UTC
Created attachment 1430081 [details]
File: limits

Comment 9 Fernando 2018-05-02 14:15:39 UTC
Created attachment 1430082 [details]
File: maps

Comment 10 Fernando 2018-05-02 14:15:41 UTC
Created attachment 1430083 [details]
File: mountinfo

Comment 11 Fernando 2018-05-02 14:15:42 UTC
Created attachment 1430084 [details]
File: open_fds

Comment 12 Fernando 2018-05-02 14:15:43 UTC
Created attachment 1430085 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2019-05-02 21:53:05 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-28 20:01:39 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.